libwps_OLE::DirTree::CompareEntryName Struct Reference

a comparaison funcion of DirTree used to sort the entry by name More...

## Public Member Functions
| CompareEntryName (DirTree &tree)
| constructor
bool | operator() (unsigned ind1, unsigned ind2) const
| comparaison function

## Public Attributes
DirTree & | m_tree
| the main tree

## Detailed Description

a comparaison funcion of DirTree used to sort the entry by name

## Constructor & Destructor Documentation

## ◆ CompareEntryName()

libwps_OLE::DirTree::CompareEntryName::CompareEntryName | ( | DirTree & | tree | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ operator()()

bool libwps_OLE::DirTree::CompareEntryName::operator() | ( | unsigned | ind1,
|  | unsigned | ind2 ) const
| inline

comparaison function

## Member Data Documentation

## ◆ m_tree

DirTree& libwps_OLE::DirTree::CompareEntryName::m_tree

the main tree

Referenced by CompareEntryName(), and operator()().

The documentation for this struct was generated from the following file:

- WPSOLEStream.cpp